//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2021.08.04 at 08:18:05 PM EET 
//


package genericinterface.epg.edafa.com;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for billPaymentViaCreditCardArg complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="billPaymentViaCreditCardArg">
 *   &lt;complexContent>
 *     &lt;extension base="{http://com.edafa.epg.genericInterface/}credtCardBillPaymentRequest">
 *       &lt;sequence>
 *         &lt;element name="cardHolderMSISDN" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="cardHolderCustomerCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="creditCardNo" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="ccv" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="pin" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="expiryDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="notifyCardHolderFlag" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "billPaymentViaCreditCardArg", propOrder = {
    "cardHolderMSISDN",
    "cardHolderCustomerCode",
    "creditCardNo",
    "ccv",
    "pin",
    "expiryDate",
    "notifyCardHolderFlag"
})
@XmlSeeAlso({
    PayOfflineDirectDebitStep1Arg.class
})
public class BillPaymentViaCreditCardArg
    extends CredtCardBillPaymentRequest
{

    @XmlElement(required = true)
    protected String cardHolderMSISDN;
    @XmlElement(required = true, nillable = true)
    protected String cardHolderCustomerCode;
    @XmlElement(required = true)
    protected String creditCardNo;
    @XmlElement(required = true, nillable = true)
    protected String ccv;
    @XmlElement(required = true, nillable = true)
    protected String pin;
    @XmlElement(required = true, nillable = true)
    protected String expiryDate;
    @XmlElement(required = true, type = Boolean.class, nillable = true)
    protected Boolean notifyCardHolderFlag;

    /**
     * Gets the value of the cardHolderMSISDN property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCardHolderMSISDN() {
        return cardHolderMSISDN;
    }

    /**
     * Sets the value of the cardHolderMSISDN property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCardHolderMSISDN(String value) {
        this.cardHolderMSISDN = value;
    }

    /**
     * Gets the value of the cardHolderCustomerCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCardHolderCustomerCode() {
        return cardHolderCustomerCode;
    }

    /**
     * Sets the value of the cardHolderCustomerCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCardHolderCustomerCode(String value) {
        this.cardHolderCustomerCode = value;
    }

    /**
     * Gets the value of the creditCardNo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreditCardNo() {
        return creditCardNo;
    }

    /**
     * Sets the value of the creditCardNo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreditCardNo(String value) {
        this.creditCardNo = value;
    }

    /**
     * Gets the value of the ccv property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCcv() {
        return ccv;
    }

    /**
     * Sets the value of the ccv property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCcv(String value) {
        this.ccv = value;
    }

    /**
     * Gets the value of the pin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPin() {
        return pin;
    }

    /**
     * Sets the value of the pin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPin(String value) {
        this.pin = value;
    }

    /**
     * Gets the value of the expiryDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getExpiryDate() {
        return expiryDate;
    }

    /**
     * Sets the value of the expiryDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setExpiryDate(String value) {
        this.expiryDate = value;
    }

    /**
     * Gets the value of the notifyCardHolderFlag property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isNotifyCardHolderFlag() {
        return notifyCardHolderFlag;
    }

    /**
     * Sets the value of the notifyCardHolderFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setNotifyCardHolderFlag(Boolean value) {
        this.notifyCardHolderFlag = value;
    }

}
